---
title: Patient Identifier Query
slug: patient-identifier-query
docTags: 
createdAt: 2023-10-10T12:31:47.940Z
---

Application clients can use the Patient Identifier Query to retrieve previously-stored Patient Identifiers with their cross-references from Founda's Patient Identifier Cross-Reference Manager.&#x20;

### Profile

The Patient Identifier Query interaction with the Founda Platform is based on the [IHE PIXm profile](https://profiles.ihe.net/ITI/PIXm/). To indicate that the request and response should comply with [ITI-83](https://profiles.ihe.net/ITI/PIXm/ITI-83.html), the base URL for an ITI-83 operation contains the `$ihe-pix` parameter.&#x20;

### Interaction

In order to query for all the Patient Identifier Cross-References, the Identifier of the source patient identifier system should be passed inside the query parameters. This is sent to the Patient endpoint with a **GET** request, for example: `https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient/$ihe-pix?sourceIdentifier=urn:oid:1.3.6.1.4.1.21367.13.20.1000|IHERED`

Optional: add a `targetSystem` to the query parameters to specify the target system of which you want to query the identifier, for example: `https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient/$ihe-pix?sourceIdentifier=urn:oid:1.3.6.1.4.1.21367.13.20.1000|IHERED&targetSystem=urn:oid:1.3.6.1.4.1.21367.13.20.2000`

Depending on the [region](docId\:ncFf15xNu1WGlST2wNm-P) you are in.

### Example API call

::::CodeDrawer{title="Patient Identifier Query" isResponseExpanded="true" autoGeneratedAnchorSlug="patient-identifier-query" legacyHash="2NS3eo3zty1rZ4aLQ5DwB"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Patient$ihe-pix?sourceIdentifier=urn%3Aoid%3A1.3.6.1.4.1.21367.13.20.1000%7CIHERED&targetSystem=urn%3Aoid%3A1.3.6.1.4.1.21367.13.20.2000' \
--header 'Authorization: Bearer ory_at_nEeqJT2mKNExgsu7QFzSAIvHP8IS-6C0YCDp-WqAMi0.wmjzb98T0qwtbRMWMhj-VhsObMSV9aHcC61BWEDTJu4'
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Patient",
    "active": true,
    "identifier": [
        {
            "system": "urn:oid:1.3.6.1.4.1.21367.13.20.1000",
            "value": "IHERED"
        },
        {
            "system": "urn:oid:1.3.6.1.4.1.21367.13.20.2000",
            "value": "IHEBLUE"
        },
    ]
}
```
:::
::::

